# Copyright 2013 Canonical Ltd.
from django.conf import settings
settings.configure(ROOT_URLCONF="bzrviews.urls", ALLOWED_HOSTS=("testserver",))

from django.core.urlresolvers import reverse
from django.test import SimpleTestCase

import mocker

from bzrviews.helpers import get_bzr_revision


class BzrViewsTestCase(SimpleTestCase):

    def test_get_bzr_revno(self):
        """
        If we get the bzr revno view, we should get the version of the software
        in use on the server.
        """
        response = self.client.get(reverse("bzr_revno"))
        self.assertEqual(200, response.status_code)
        self.assertEqual(str(get_bzr_revision()), response.content)
